--- a/po/fr.po
+++ b/po/fr.po
@@ -1,26 +1,27 @@
-# xdx - GTK+ DX-cluster client for amateur radio
+# Messages français xdx - GTK+ DX-cluster client for amateur radio
 # Copyright (C) 2002-2006 Joop Stakenborg <pg4i@amsat.org>
 # This file is distributed under the same license as the xdx package.
-# Jean-Luc  Coulon <jean-luc.coulon@wanadoo.fr>, 2006.
-#
 #
+#Jean-Luc Coulon <jean-luc.coulon@wanadoo.fr>, 2006.
+# Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>, 2019.
 msgid ""
 msgstr ""
 "Project-Id-Version: xdx 2.0\n"
 "Report-Msgid-Bugs-To: n0nb@n0nb.us\n"
 "POT-Creation-Date: 2015-05-17 06:22-0500\n"
-"PO-Revision-Date: 2006-04-27 10:59+0200\n"
-"Last-Translator: Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>\n"
+"PO-Revision-Date: 2019-04-28 09:20+0100\n"
+"Last-Translator: Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>\n"
 "Language-Team: French <debian-l10n-french@lists.debian.org>\n"
 "Language: fr\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"X-Generator: Lokalize 2.0\n"
 
 #: src/gui_aboutdialog.c:128
-#, fuzzy
 msgid "TCP/IP DX-cluster and ON4KST chat client for amateur radio operators"
-msgstr "Client de chat DX-Cluster TCP/IP et ON4KST pour radioamateur"
+msgstr "Client de chat DX-Cluster TCP/IP et ON4KST pour radioamateurs"
 
 #: src/gui.c:121
 msgid "_Program"
@@ -72,7 +73,7 @@ msgstr "_À propos"
 
 #: src/gui.c:160
 msgid "Function keys bar"
-msgstr ""
+msgstr "Barre de touches de fonction"
 
 #: src/gui.c:164
 msgid "Auto Reconnect"
@@ -80,7 +81,7 @@ msgstr "Reconnexion _automatique"
 
 #: src/gui.c:168
 msgid "Chat sidebar"
-msgstr "_Barre latérale de messagerie instantannée"
+msgstr "_Barre latérale de messagerie instantanée"
 
 #: src/gui.c:244
 #, c-format
@@ -105,7 +106,7 @@ msgstr "Info"
 
 #: src/gui.c:353 src/gui_settingsdialog.c:464
 msgid "Country"
-msgstr ""
+msgstr "Pays"
 
 #: src/gui.c:448
 msgid "Sound"
@@ -130,21 +131,20 @@ msgstr "Activer/désactiver les sons [Ct
 #: src/gui.c:507 src/gui.c:508 src/gui.c:509 src/gui.c:510 src/gui.c:511
 #: src/gui.c:512 src/gui.c:513 src/gui.c:514
 msgid "Right click to edit"
-msgstr ""
+msgstr "Clic droit pour modifier"
 
 #: src/gui.c:1182
-#, fuzzy
 msgid "xdx - edit function key"
-msgstr "xdx - connexion établie"
+msgstr "xdx - modifier la touche de fonction"
 
 #: src/gui.c:1188
-#, fuzzy, c-format
+#, c-format
 msgid "Command to be used for F%d"
-msgstr "Indicatif à utiliser lors de la connexion"
+msgstr "Commande à utiliser avec F%d"
 
 #: src/gui_closedialog.c:73
 msgid "xdx - close connection"
-msgstr "xdx - ferme la connexion"
+msgstr "xdx - fermer la connexion"
 
 #: src/gui_closedialog.c:90
 #, c-format
@@ -157,11 +157,11 @@ msgstr "Connexion fermée"
 
 #: src/gui_exitdialog.c:71
 msgid "Exit"
-msgstr ""
+msgstr "Quitter"
 
 #: src/gui_exitdialog.c:88
 msgid "Exit "
-msgstr ""
+msgstr "Quitte "
 
 #: src/gui_manualdialog.c:72
 msgid "xdx - manual"
@@ -233,7 +233,8 @@ msgstr "Commandes"
 
 #: src/gui_settingsdialog.c:306
 msgid "Comma separated list of commands to send at login"
-msgstr "Liste de commandes séparées par une virgule à lancer lors du login"
+msgstr ""
+"Liste de commandes séparées par une virgule à lancer lors de la connexion"
 
 #: src/gui_settingsdialog.c:308
 msgid "Callsign to be used for login"
@@ -265,8 +266,9 @@ msgid ""
 "When double clicking on a dx-spot this will set the frequency of your rig "
 "using rigctl (%d = the frequency retrieved from the DX spot)"
 msgstr ""
-"Lors du double clic sur un spot dx ceci réglera la fréquence de votre "
-"transceiver en utilisant rigctl (%d = la fréquence extraite du spot DX)"
+"Lors du double clic sur un spot DX cela réglera la fréquence de votre "
+"émetteur-récepteur en utilisant rigctl (%d = la fréquence extraite du "
+"spot DX)"
 
 #: src/gui_settingsdialog.c:376
 msgid "Web browser"
@@ -287,23 +289,23 @@ msgstr "Programmes"
 #: src/gui_settingsdialog.c:398
 #, c-format
 msgid "Web browser to start after clicking on a url (%s = url)"
-msgstr "Navigateur internet à lancer après avoir cliqué une url (%s = url)"
+msgstr "Navigateur internet à lancer après avoir cliqué une URL (%s = URL)"
 
 #: src/gui_settingsdialog.c:400
 #, c-format
 msgid "Mail program to start after clicking on a mail url (%s = mail url)"
 msgstr ""
-"Programme de courriel à lancer après avoir cliqué une url de courrier (%s = "
-"url de courriel)"
+"Programme de courriel à lancer après avoir cliqué sur une URL de courrier "
+"(%s = URL de courriel)"
 
 #: src/gui_settingsdialog.c:402
 #, c-format
 msgid "Program used to play sound (%s = sound file)"
-msgstr "Programme à utiliser pour jouer les sons (%s = fichier sonore)"
+msgstr "Programme à utiliser pour jouer les sons (%s = fichier sonore)"
 
 #: src/gui_settingsdialog.c:418
 msgid "Echo sent text to the screen"
-msgstr "Envoyer le texte émis à l'écran (« écho »)"
+msgstr "Envoyer le texte émis sur l'écran (« écho »)"
 
 #: src/gui_settingsdialog.c:421
 msgid "Send keepalive packets (read the manual)"
@@ -371,7 +373,7 @@ msgstr "Couleur %d"
 
 #: src/gui_settingsdialog.c:648
 msgid "Colors for the chat window"
-msgstr "Couleurs pour la fenêtre de messagerie instantnnée"
+msgstr "Couleurs pour la fenêtre de messagerie instantanée"
 
 #: src/gui_settingsdialog.c:655
 msgid "Prompt"
@@ -408,7 +410,7 @@ msgstr "Connecté à %s"
 
 #: src/net.c:289
 msgid "Connection closed, trying reconnect in 10 seconds"
-msgstr "Connexion fermée, essai de reconnexion dans 10 secondes"
+msgstr "Connexion fermée, essai de reconnexion dans 10 secondes"
 
 #: src/net.c:295
 msgid "Connection closed by remote host"
@@ -440,17 +442,17 @@ msgstr "~/.%s n'est pas un répertoire."
 #: src/text.c:1141
 #, c-format
 msgid "%s: %s\n"
-msgstr ""
+msgstr "%s : %s\n"
 
 #: src/text.c:1152
 #, c-format
 msgid "Cannot read cty.dat in %s\n"
-msgstr ""
+msgstr "Lecture impossible de cty.dat dans %s\n"
 
 #: src/text.c:1158
 #, c-format
 msgid "Loading %s\n"
-msgstr ""
+msgstr "Chargement de %s\n"
 
 #: src/utils.c:151 src/utils.c:173
 #, c-format
